mpd:
- manifest_edit.plugins.mpd.element_remove:
    # The element_removal plugin will remove periods, adaptation sets or
    # representations order from mpd manifests.
    #
    # Tracks in mpd manifests are specified as list of Representations
    # inside a given Adaptation Set, inside a given Period. The general
    # scheme can roughly be illustrated as
    #
    # Manifest:
    #  |- Period id:
    #     id = "id"
    #     |- AdaptationSet :
    #        contentType = "audio"
    #        |- Representation
    #        |-   ...
    #        |- Representation
    #     |- AdaptationSet :
    #        contentType = "video"
    #        |- Representation
    #        |-   ...
    #        |- Representation
    #
    # In an mpd there could be multiple periods, each with multiple
    # adaptation sets, each with multiple representations, to form an
    # arbitrarily nested structure.
    #
    # This plugin can remove any of this element (periods, adaptationSets
    # and representations) based on any of their properties.
    #
    # Some examples:
    #
    # - remove a period by id
    #
    #    periods:
    #      - id : "1"
    #        plugin_config:
    #          remove: 'this'
    #
    # - remove, from any period, those adaptation sets with a specific
    #   contentType
    #
    #    periods:
    #      - '*' : '.*'
    #        adaptationSets:
    #        - contentType: 'text'
    #          plugin_config:
    #            remove: 'this'
    #
    # - remove, from any period but only from "video" adaptation sets, all
    #   those representations having a specific bandwidth
    #
    #    periods:
    #      - '*' : '.*'
    #        adaptationSets:
    #          - contentType : 'video'
    #            representations:
    #              - bandwidth: '901000'
    #                plugin_config:
    #                  remove: 'this'
    #
    #  You can refer to Manifest Edit user manual for more advanced
    #   configuration examples.
    periods:
      - '*' : '.*'
        adaptationSets:
          - '*' : '.*'
            representations:
              - bandwidth: '401000'
                plugin_config:
                  remove: 'this'
              - bandwidth: '2200000'
                plugin_config:
                  remove: 'this'
              - bandwidth: '1501000'
                plugin_config:
                  remove: 'this'
